<form class="mat-card mat-elevation-z4 p-24 mr-24" fxLayout="column" fxLayoutAlign="start"
fxFlex="1 0 auto" name="form" [formGroup]="form" (ngSubmit)="onSubmit()">

<div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

  <!-- <mat-form-field appearance="outline" fxFlex="100">
      <mat-label>Company (disabled)</mat-label>
      <input matInput formControlName="company">
      <mat-icon matSuffix class="disabled-text">domain</mat-icon>
  </mat-form-field> -->

</div>

<div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

<mat-form-field appearance="outline" fxFlex="100" class="pr-4">
    <mat-label>Email</mat-label>
    <input matInput formControlName="email" [email]="true" required>
    <mat-icon matSuffix class="secondary-text">email</mat-icon>
    <mat-error *ngIf="errorHandling('email', 'required')" >Email is required!</mat-error>
    <mat-error *ngIf="errorHandling('email', 'pattern')" > Please provide a valid email address.</mat-error>

</mat-form-field>

</div>

<div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

    <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
        <mat-label>Subject</mat-label>
        <input matInput formControlName="subject"  required>
        <mat-icon matSuffix class="secondary-text">subject</mat-icon>
        <mat-error>Subject is required!</mat-error>
    </mat-form-field>
    
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

        <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
            <mat-label>Body</mat-label>
            <textarea matInput formControlName="body" required></textarea>
            <mat-error>Body is required!</mat-error>

        
        </mat-form-field>
        
        </div>

<!-- <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

<mat-form-field appearance="outline" fxFlex="100" class="pr-4">
    <mat-label>Assess Type</mat-label>
    <span *ngIf="data.accessType==1">Grain</span>
    <span *ngIf="data.accessType==2">Silage</span> 
</mat-form-field>


</div>


<div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

    <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
        <mat-label>Start Date</mat-label>
        <span>{{data.check_DateData}}</span>
    </mat-form-field>
    
    
    </div>


<div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

    <mat-form-field appearance="outline" fxFlex="100" class="pr-4">
        <mat-label>End Date</mat-label>
        <span>{{data.check_DateData1}}</span>
    </mat-form-field>
    
    
    </div> -->



<div fxLayout="row" fxLayoutAlign="center center">
<button mat-raised-button type="submit" color="accent" [disabled]="!form.valid || buttonDisable">
    Save
</button> &nbsp;&nbsp;&nbsp;
<a mat-raised-button color="red" (click)="onNoClick()">
    Cancel
</a>
</div>

</form>